## org.apache.lucene.analysis
Class CharArraySet.CharArraySetIterator

    java.lang.Object
      org.apache.lucene.analysis.CharArraySet.CharArraySetIterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  CharArraySet

    public class CharArraySet.CharArraySetIterator

extends Object
implements Iterator

The Iterator<String> for this set. Strings are constructed on the fly, so use `nextCharArray` for more efficient access.

Method Summary
`boolean` `hasNext()`
`Object` `next()` Returns the next String, as a Set<String> would...
`char[]` `nextCharArray()` do not modify the returned char[]
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### nextCharArray

    public char[] nextCharArray()

  do not modify the returned char[]

### next

    public Object next()

  Returns the next String, as a Set<String> would... use nextCharArray() for better efficiency.

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.